Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class ConfigureHealthCheckResult

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.ConfigureHealthCheckResult

    public class ConfigureHealthCheckResult

extends Object

Configure Health Check Result

Constructor Summary
`ConfigureHealthCheckResult()`

Method Summary
`HealthCheck` | `getHealthCheck()` Returns the value of the HealthCheck property for this object.
`void` | `setHealthCheck(HealthCheck healthCheck)` Sets the value of the HealthCheck property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ConfigureHealthCheckResult` | `withHealthCheck(HealthCheck healthCheck)` Sets the value of the HealthCheck property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigureHealthCheckResult

    public ConfigureHealthCheckResult()

Method Detail

### getHealthCheck

    public HealthCheck getHealthCheck()

  Returns the value of the HealthCheck property for this object.

  Returns:
    The value of the HealthCheck property for this object.

### setHealthCheck

    public void setHealthCheck(HealthCheck healthCheck)

  Sets the value of the HealthCheck property for this object.

  Parameters:
    `healthCheck` - The new value for the HealthCheck property for this object.

### withHealthCheck

    public ConfigureHealthCheckResult withHealthCheck(HealthCheck healthCheck)

  Sets the value of the HealthCheck property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `healthCheck` - The new value for the HealthCheck property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.